
Foreman - Bug #6528

Seeds.rb is too noisy in tests

07/08/2014 11:49 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Tests   

Target version: 1.6.0   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Our seeds.rb contains "puts 'blah'" for every seeds.d/* file, which is hugely noisy in the lib tests which execute them, resulting in

many lines of unnecessary output.

Associated revisions

Revision 5f15f585 - 07/10/2014 11:43 AM - Greg Sutcliffe

Fixes #6528 - Silence seeds.rb when in test env

History

#1 - 07/09/2014 10:40 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- translation missing: en.field_release set to 10

https://github.com/theforeman/foreman/pull/1571

#2 - 07/10/2014 12:01 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5f15f585ff37265499dc3a0a80cd6d7b1ca0e080.

#3 - 07/14/2014 05:43 AM - Greg Sutcliffe

Random bump to test email support...

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://github.com/theforeman/foreman/pull/1571
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/5f15f585ff37265499dc3a0a80cd6d7b1ca0e080
http://www.tcpdf.org

